stages:  
  - test:scripts
  - test:monitoring
  - test:inputs
  
test:scripts:
  stage: test:scripts
  before_script:
    - vagrant --fixture=scripts -- destroy --force 
  script: 
    - vagrant --fixture=scripts -- up
    - vagrant --fixture=scripts -- ssh test-runner -- -tt "cd /vagrant && pytest clmctest/scripts/"
  after_script:
    - vagrant --fixture=scripts -- destroy --force
  when: manual
  
test:monitoring:
  stage: test:streaming_sim
  before_script:
    - vagrant --fixture=monitoring -- destroy --force    
  script: 
    - vagrant --fixture=monitoring -- up
    - vagrant --fixture=monitoring -- ssh test-runner -- -tt "cd /vagrant && pytest clmctest/monitoring/"
  after_script:
    - vagrant --fixture=monitoring -- destroy --force   
  when: manual  
  
test:inputs:
  stage: test:inputs
  before_script:
    - vagrant --fixture=inputs -- destroy --force      
  script: 
    - vagrant --fixture=inputs -- up
    - vagrant --fixture=inputs -- ssh test-runner -- -tt "cd /vagrant && pytest clmctest/inputs/"
  after_script:
    - vagrant --fixture=inputs -- destroy --force       
  when: manual    

  

  

